document.addEventListener('deviceready', onDeviceReady, false);

function onDeviceReady() {
    // Cordova is now initialized. Have fun!

    console.log('Running cordova-' + cordova.platformId + '@' + cordova.version);
    //document.getElementById('deviceready').classList.add('ready');
    navigator.geolocation.getCurrentPosition(onSuccess, onError);
}

function onSuccess(position) {

        var longitude = position.coords.longitude;
        var latitude = position.coords.latitude;
        var latLong = new google.maps.LatLng(latitude, longitude);
        alert(longitude);
        alert(latitude);
        var mapOptions = {
            center:latLong,
            zoom: 13,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };

        var map = new google.maps.Map(document.getElementById("map"), mapOptions);

        var marker = new google.maps.Marker({
            position: latLong,
            map: map,
            title: 'my location'
        });
    }

    function onError(error) {
        alert("cod erro" + error.code + ". \n" + "mensagem: " + error.message);
    }

function enviarUrl(url){
    var target="_blank";
    //var option="location=yes";
    var option="location=no"; 
    //var option="hideurlbar=yes";
    //var option="closebuttoncaption=My Button Name";
    cordova.InAppBrowser.open(url,target, option);
}

function gplusLogout(){
    window.plugins.googleplus.logout(
        function (msg) {
          alert(msg); // do something useful instead of alerting
        }
    );
}

function gplusDisconnect(){
    window.plugins.googleplus.disconnect(
        function (msg) {
          alert(msg); // do something useful instead of alerting
        }
    );
}

function gplusLogin(){
    window.plugins.googleplus.login({

    },function(result){
        //alert(JSON.stringify(result.email));
        var valor=result.email;
            window.FirebasePlugin.getToken(function(token){
                //alert("TOKEN FIREBASE :"+token);
                    $.post("https://desdecasa.ec/desdecasaDeveloper/appNotificaciones/usuarios.php",{ 
                        id:valor,cant:token
                    }).done(function(data){
                            //alert(data);
                            $('#email').text(result.email);
                            $('#name').text(result.displayName);
                            $('#picture').text(result.imageUrl);
                    });
            },function(error){
                console.error(error);
            });
    },function(error){
        alert(JSON.stringify(error));
    });
}

